Menu icon Foundation
CLI update does not bring latest version

I installed foundation using the CLI and I need to pull the latest from git zurb/bower-foundation. I see that the files with the fixes I need are there, but when I run bower update, bower always installs from here:

https://github.com/zurb/bower-foundation/archive/5.5.1.tar.gz

And that archive does not have the latest version in master. How do I get bower to download from here:

https://github.com/zurb/bower-foundation/archive/master.zip

Otherwise I'll have to download manually and then I'm stuck with manual updates. Yuck!

Things I've tried so far:
1 foundation update
2 bower uninstall foundation + bower cache clean + bower install foundation
3 cloned zurb/bower-foundation + #2 above but from my cloned repository on which I changed bower.json version to "master"

I barely know how to use bower/git/github so I feel I'm missing something basic.
Thanks.

clibowergit

I installed foundation using the CLI and I need to pull the latest from git zurb/bower-foundation. I see that the files with the fixes I need are there, but when I run bower update, bower always installs from here:

https://github.com/zurb/bower-foundation/archive/5.5.1.tar.gz

And that archive does not have the latest version in master. How do I get bower to download from here:

https://github.com/zurb/bower-foundation/archive/master.zip

Otherwise I'll have to download manually and then I'm stuck with manual updates. Yuck!

Things I've tried so far:
1 foundation update
2 bower uninstall foundation + bower cache clean + bower install foundation
3 cloned zurb/bower-foundation + #2 above but from my cloned repository on which I changed bower.json version to "master"

I barely know how to use bower/git/github so I feel I'm missing something basic.
Thanks.

Rafi Benkual over 4 years ago

Nicolas is right:

I did it in bower.json like so

{
  "name": "foundation-libsass-template",
  "dependencies": {
    "foundation": "master"
  }
}

or older version

{
  "name": "foundation-libsass-template",
  "dependencies": {
    "foundation": "5.4.7"
  }
}

Nicolas Frias over 4 years ago

It worked by specifying "master" as the requested version in bower.json as follows:

"dependencies": {
"foundation": "zurb/bower-foundation#master"
:
}